// movethread.h: Schnittstelle für die Klasse MoveThread.
//
//////////////////////////////////////////////////////////////////////

#ifndef MOVETHREAD_H
#define MOVETHREAD_H


#include <qthread.h>

class AMCMirrorPanel;

class MoveThread : public QThread
{

public:
	void setPanel( AMCMirrorPanel* p_pPanel );
	AMCMirrorPanel* getPanel() { return m_pPanel; };
	MoveThread( QObject* p_pReceiver );
	virtual ~MoveThread();

protected:
	virtual void run();
private:
	AMCMirrorPanel* m_pPanel;
	QObject*				m_pReceiver;
};

#endif
